#ifndef PHILO_PROTO_H
# define PHILO_PROTO_H

// init.c
t_philo	*init(int ac, char **av, pthread_t **id);

// main_thread.c
int	diff_time(t_time old, struct timeval new);
int	is_dead(t_philo *philo);
void	launch_threads(t_philo *philo, pthread_t *id);

// exec.c
void	*philo_exec(void *arg);

// generic.c
void	init_time(t_philo *philo);
void	update_time(t_philo *philo);
int	print_message(t_philo *philo, char *clr, char *msg);

#endif

